<?php

namespace Treewec\Exceptions;

/**
 * Test class for ClientRequestException.
 * Generated by PHPUnit on 2012-03-25 at 16:42:06.
 * @group exception
 */
class ClientRequestExceptionTest extends \PHPUnit_Framework_TestCase {

    private $exceptionHelper;
    private $class;
    private $callback;

    protected function setUp() {
        $this->class = '\Treewec\Exceptions\ClientRequestException';
        $this->callback = array($this->class);
        $this->exceptionHelper = new \Treewec\ExceptionHelper();
    }

    public function testThrowsFileNotFound() {
        $this->assertException('throwsFileNotFound', 404);
    }

    public function testThrowsBadRequest() {
        $this->assertException('throwsBadRequest', 400);
    }
    
    public function testThrowsForbiddenAccess() {
        $this->assertException('throwsForbiddenAccess', 403);
    }

    public function testSetHttpResponse() {
        $this->markTestSkipped('Cannot modify header information - headers already sent by PHPUnit');
    }

    private function assertException($method, $code) {
        $this->callback[] = $method;
        $this->exceptionHelper->catchExceptionInCallback($this->class, $this->callback);
        parent::assertEquals($code, $this->exceptionHelper->getCaughtException()->getCode());
    }

}

?>